Copy Field Elems * This group of functions is for copying the data of the given field into the given
Basic Data Access

buffer of elements by selected type. More...

## Functions

uint | epr_copy_field_elems_as_ints (const EPR_SField *field, int *buffer, uint num_elems)
uint | epr_copy_field_elems_as_uints (const EPR_SField *field, uint *buffer, uint num_elems)
uint | epr_copy_field_elems_as_floats (const EPR_SField *field, float *buffer, uint num_elems)
uint | epr_copy_field_elems_as_doubles (const EPR_SField *field, double *buffer, uint num_elems)

## Detailed Description

buffer of elements by selected type.

The actual number of elements copied is the minimum of the given number of elements (the buffer's size) and the actual number of elements contained in the field.

If the actual field data type is not selected type, the function automatically performs the conversion.

Parameters

  field | the field from which to copy the elements
  buffer | the buffer in which to copy the data
  num_elems | the number of elements in the given buffer

Returns
  the actual number of elements copied

## Function Documentation

## epr_copy_field_elems_as_ints()

uint epr_copy_field_elems_as_ints | ( | const EPR_SField * | field,
|  | int * | buffer,
|  | uint | num_elems )

## epr_copy_field_elems_as_uints()

uint epr_copy_field_elems_as_uints | ( | const EPR_SField * | field,
|  | uint * | buffer,
|  | uint | num_elems )

## epr_copy_field_elems_as_floats()

uint epr_copy_field_elems_as_floats | ( | const EPR_SField * | field,
|  | float * | buffer,
|  | uint | num_elems )

## epr_copy_field_elems_as_doubles()

uint epr_copy_field_elems_as_doubles | ( | const EPR_SField * | field,
|  | double * | buffer,
|  | uint | num_elems )